All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.olap
Class ShowDetailDataSelectorStrategy

    com.sas.actionprovider.strategies.olap.ShowDetailDataSelectorStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

    public class ShowDetailDataSelectorStrategy

Field Summary
`static java.lang.String` | `TUPLE_ELEMENTS`

Fields inherited from class com.sas.actionprovider.strategies.olap.BaseSelectorStrategy
`MODE`

Fields inherited from class com.sas.actionprovider.strategies.olap.BaseOLAPStrategy
`MODEL, TABLE`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`ShowDetailDataSelectorStrategy()` Default constructor.
`ShowDetailDataSelectorStrategy(boolean swing, OLAPActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`protected void` | `initialize()` Initialize this strategy object.
`protected void` | `initializeActionAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes.
`void` | `setActionAttributes(BaseAction action, ActionSupportFilter filter)` Sets all the dynamic attributes of the Action.
`void` | `setLocaleDependentDefaultAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Sets the Action's default locale dependent attribute values.

Methods inherited from class com.sas.actionprovider.strategies.olap.BaseOLAPStrategy
`addDynamicValueInfo, setUtilObject`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getActionStatus, getCustomAttributeValue, getDynamicValue, getUtilObject, initializeAction, isSwing, setSwing`

Field Detail

### TUPLE_ELEMENTS

    public static final java.lang.String TUPLE_ELEMENTS

See Also:
  Constant Field Values

Constructor Detail

### ShowDetailDataSelectorStrategy

    public ShowDetailDataSelectorStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### ShowDetailDataSelectorStrategy

    public ShowDetailDataSelectorStrategy(boolean swing,
                                          OLAPActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initializeActionAttributes

    protected void initializeActionAttributes(BaseAction action,
                                              java.lang.String areaType,
                                              java.util.Locale locale)

  Description copied from class: `BaseActionStrategy`

  Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes. values.

  This base implementation does nothing to the Action.

  Overrides:
    `initializeActionAttributes` in class `BaseSelectorStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### setLocaleDependentDefaultAttributes

    public void setLocaleDependentDefaultAttributes(BaseAction action,
                                                    java.lang.String areaType,
                                                    java.util.Locale locale)

  Sets the Action's default locale dependent attribute values.

  This base implementation does nothing to the Action.

  Specified by:
    `setLocaleDependentDefaultAttributes` in interface `ActionStrategyInterface`
  Overrides:
    `setLocaleDependentDefaultAttributes` in class `BaseActionStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `locale` - The locale
    `areaType` - The areaType of the Viewer where the Action will be presented.

### initialize

    protected void initialize()

  Description copied from class: `BaseOLAPStrategy`

  Initialize this strategy object.

  Via the `BaseOLAPStrategy.addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.String)` method, this method registers the information for dynamic values that are available in all OLAP areas:

  - `com.sas.actionprovider.strategies.olap.OLAPDynamicValueKeys#MODEL`
  - `com.sas.actionprovider.strategies.olap.OLAPDynamicValueKeys#TABLE`

  Overrides:
    `initialize` in class `BaseOLAPStrategy`
  See Also:
    `#setReturnStatus`

### setActionAttributes

    public void setActionAttributes(BaseAction action,
                                    ActionSupportFilter filter)

  Description copied from class: `BaseActionStrategy`

  Sets all the dynamic attributes of the Action.

  Specified by:
    `setActionAttributes` in interface `ActionStrategyInterface`
  Overrides:
    `setActionAttributes` in class `BaseActionStrategy`
  Parameters:
    `action` - The Action to set dynamic attribute values on.
    `filter` - The ActionSupportFilter that contains area-specific information relating to where the Action will be used.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.